Deployments.ai Docs
Brains

Record usefulness feedback for a Brain query

POST /v1/brains/query-attempts/{queryAttemptId}/feedback · SDK recordBrainFeedback · CLI deployments brain-feedback create

POST
/v1/brains/query-attempts/{queryAttemptId}/feedback

Requires brains:read.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

queryAttemptId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
feedback?string
Lengthlength <= 2000
usefulness*string
Value in"harmful""neutral""useful"

Response Body

BrainFeedbackResponse

application/json
  1. response
queryAttemptId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
recordedAt*string
usefulness*string
Value in"harmful""neutral""useful"
curl -X POST "https://example.com/v1/brains/query-attempts/string/feedback" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "usefulness": "harmful"  }'
{  "queryAttemptId": "string",  "recordedAt": "string",  "usefulness": "harmful"}